﻿@using InternetShopWebProject.DAL.UnitOfWork;
@model InternetShopWebProject.Common.Models.SelectedMenuItem
@{
    var TypeCategoryModel = DependencyResolver.Current.GetService<CategoryTypeUoW>().GetCategotyType();
}

<div class="leftbar">
  <div>
    @foreach (var item in TypeCategoryModel.Types)
    {
      <div>
        <div id="headingOne" style="display:flex; flex-direction:row; justify-content:space-between; cursor:pointer">
          <h5 style=" width:80%">
            @Html.ActionLink(item.Name, "Index", "Home", new { typeId = item.Id }, new { @class = "btn btn-outline-light", style = "width:100%; text-align:left; color:inherit" })
          </h5>
          <div class="btn-link" style="width:20%" data-toggle="collapse" data-target="#id@(item.Id)" aria-expanded="true">
            <h3 style="text-align:center">
              &#9013
            </h3>
          </div>
        </div>
        <div id="id@(item.Id)" class="collapse @(item.Id == Model.SelectedTypeId ? "show" : "")" aria-labelledby="headingOne">
          <div class="card-body" style="display:flex; flex-direction:column; padding-top:0px; margin-left:10%">
            @foreach (var c in TypeCategoryModel.Categories)
            {
              @Html.ActionLink(
                    c.Name,
                    "Index",
                    "Home",
                    new { typeId = item.Id, categoryId = c.Id },
                    new {
                      @class = "btn-outline-light btn-link",
                      style = "width:80%; cursor:pointer; " +
                      ( item.Id == Model.SelectedTypeId && c.Id == Model.SelectedCategoryId ? "background-color:gainsboro;" : "")
                    })
            }
          </div>
        </div>
      </div>
    }
  </div>
</div>